E invoicing
Confirm E-Invoice
Confirm an e-invoice with the NRS system. Retrieves the confirmation status and approval details for the specified invoice from the FIRS NRS.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
reference*string
The invoice reference number
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/e-invoicing/invoices/REF-2026-001/confirm"{
"requestId": "3a6538fd-03f0-4b05-ba41-5d44769dd014",
"requestTimestamp": "2026-04-09 12:00:00",
"message": "Invoice confirmed successfully.",
"statusCode": 200,
"data": {}
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2026-04-09 12:00:00",
"message": "Unauthenticated.",
"statusCode": 401
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2026-04-09 12:00:00",
"message": "Invoice not found.",
"statusCode": 404
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2026-04-09 12:00:00",
"message": "An error occurred while processing your request.",
"statusCode": 500
}How is this guide?